Subject: Re: [Idr] BGP Persistent Route Oscillation Solutions as WG item

From: Uli Bornhauser <[email-masked]>
Date: Thu, 7 Apr 2011 08:46:39 +0200

Hi John, Alvaro, all,

Am 31.03.2011 um 09:26 schrieb John Scudder:

> Please send comments to the list by April 14, 2011.
> 
> I note there was some discussion of this on the list around May 10-12 2010, which wasn't resolved.  Folks may want to take a look at the archives.

thanks for bringing this point up. Unfortunately, the new -04 draft still does not solve the problem (or I oversaw a simple solution). As defined in the current version, IMO the BGP path selection process may still come to a non-defined state. Doesn't it make sense to solve this fundamental problem first and then let the draft become a WG item?

Best Regards

Uli

PS: For those who are interested in the problem but do not remember it any more, here a quick refresh: Using the draft as specified, situations may happen where BGP speakers cannot select a unique best path any more. Here is an example:

              |
p1->  |----|  |
------|    |  |
      |----|  |
            \ /
             \
AS1         / \
-----------/  |----|  1  |----|
              | R1 |-----| R2 |
-----------\  |----|     |----|
AS2         \ /
             /
            / \
p2->  |----|  |
------|    |  |
      |----|  |

We assume equivalent global attributes for p1 and p2. If both paths are reflected by R1 to R2, R2 learns two paths of same preference. We have an unsolved tie-breaker situation. BGP's path selection process as defined by RFC4271 (and extensions) does not take this situation into account. All details may be found in my emails sent on May, 11th and 12,th 2010.

Finally, a general remark: As advertising group best paths is a serious modification, IMHO it could make sense to search for other interactions that cause unwanted side effects. This is only an example showing that principal problems exist.

> 
> --John
> 
> On Mar 30, 2011, at 11:34 AM, Alvaro Retana (aretana) wrote:
> 
>> Hi!
>> 
>> The 'BGP Persistent Route Oscillation Solutions' draft has been stable
>> for quite some time; here's the latest version (no changes, just a
>> refresh):
>> http://tools.ietf.org/html/draft-walton-bgp-route-oscillation-stop-04
>> 
>> I would like to request that this draft become a WG item.
>> 
>> As a reminder, I included the abstract below.
>> 
>> Thanks!!
>> 
>> Alvaro.
>> 
>> 
>> Abstract
>> 
>>  In this document we present two sets of paths for an address prefix
>>  that can be advertised by a BGP route reflector or confederation ASBR
>>  to eliminate the MED-induced route oscillations in a network.  The
>>  first set involves all the available paths, and would achieve the
>>  same routing consistency as the full IBGP mesh.  The second set,
>>  which is a subset of the first one, involves the neighbor-AS based
>>  Group Best Paths, and would be sufficient to eliminate the MED-
>>  induced route oscillations (subject to certain commonly adopted
>>  topological constrains).
>> _______________________________________________
>> Idr mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/idr
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

-- 
_______________________________________________________
ULI BORNHAUSER
University of Bonn - Institute of Computer Science 4
Friedrich-Ebert-Allee 144 - D 53113 Bonn - Germany

Web: www.cs.bonn.edu/IV/ub
Email: [email-masked]			
Phone: +49 (228) 73 - 54219
Fax: +49 (228) 73 - 4571